public static interface EtcdKeysEndpointBuilderFactory.EtcdKeysBuilders
| Modifier and Type | Method and Description |
|---|---|
default EtcdKeysEndpointBuilderFactory.EtcdKeysEndpointBuilder |
etcdKeys(String path)
Etcd Keys (camel-etcd)
Get, set or delete keys in etcd key-value store.
|
default EtcdKeysEndpointBuilderFactory.EtcdKeysEndpointBuilder |
etcdKeys(String componentName,
String path)
Etcd Keys (camel-etcd)
Get, set or delete keys in etcd key-value store.
|
default EtcdKeysEndpointBuilderFactory.EtcdKeysEndpointBuilder etcdKeys(String path)
etcd-keys:path
Path parameter: path
The path the endpoint refers topath - pathdefault EtcdKeysEndpointBuilderFactory.EtcdKeysEndpointBuilder etcdKeys(String componentName, String path)
etcd-keys:path
Path parameter: path
The path the endpoint refers tocomponentName - to use a custom component name for the endpoint
instead of the default namepath - pathApache Camel